﻿using Modèle;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Persistance
{
    public interface IPersistanceManager
    { 

        (List<Requin> reqs, List<Requin> reqsAdd, List<Requin> reqsEdit) LoadRequins();
        void SaveRequins(List<Requin> reqs, List<Requin> reqsAdd, List<Requin> reqsEdit);
        (List<Utilisateur> users, List<Expert> experts) LoadUsers();
        void SaveUsers(List<Utilisateur> users, List<Expert> experts);
        List<String> LoadFunFacts();
        void SaveFunFacts(List<String> funFacts);

    }
}